Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class StreamImpl

    java.lang.Object
      |
      +--com.caucho.vfs.StreamImpl

Direct Known Subclasses:
  LogStream, MemoryPath.MemoryStream, MemoryStream, PipeStream, ReaderWriterStream, SocketStream, StreamFilter, StringStream, TempReadStream, TempStream, VfsStream

public class StreamImpl
extends java.lang.Object

Field Summary
`protected Path` | `path`

Constructor Summary
`StreamImpl()`

Method Summary
`boolean` | `canRead()`
`boolean` | `canWrite()`
`void` | `clearWrite()`
`void` | `close()`
`void` | `flush()`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Iterator` | `getAttributeNames()`
`int` | `getAvailable()`
`boolean` | `getFlushOnNewline()`
`byte[]` | `getNewline()`
`Path` | `getPath()`
`int` | `read(byte[] buffer, int offset, int length)`
`void` | `removeAttribute(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setPath(Path path)`
`void` | `write(byte[] buffer, int offset, int length)`
`void` | `write(byte[] buffer, int offset, int length, boolean isEnd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### path

    protected Path path

Constructor Detail

### StreamImpl

    public StreamImpl()

Method Detail

### canRead

    public boolean canRead()

### getNewline

    public byte[] getNewline()

### read

    public int read(byte[] buffer,
                    int offset,
                    int length)
             throws java.io.IOException

### getAvailable

    public int getAvailable()
                     throws java.io.IOException

### canWrite

    public boolean canWrite()

### getFlushOnNewline

    public boolean getFlushOnNewline()

### write

    public void write(byte[] buffer,
                      int offset,
                      int length)
               throws java.io.IOException

### write

    public void write(byte[] buffer,
                      int offset,
                      int length,
                      boolean isEnd)
               throws java.io.IOException

### clearWrite

    public void clearWrite()

### flush

    public void flush()
               throws java.io.IOException

### getPath

    public Path getPath()

### setPath

    public void setPath(Path path)

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)
                                  throws java.io.IOException

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)
                      throws java.io.IOException

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws java.io.IOException

### getAttributeNames

    public java.util.Iterator getAttributeNames()
                                         throws java.io.IOException

### close

    public void close()
               throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD